parse_headers {curl} | R Documentation

## Parse response headers

### Description

Parse response header data as returned by curl_fetch, either as a set of strings or into a named list.

### Usage

    parse_headers(txt, multiple = FALSE)

    parse_headers_list(txt)

### Arguments

`txt` | raw or character vector with the header data
`multiple` | parse multiple sets of headers separated by a blank line. See details.

### Details

The parse_headers_list function parses the headers into a normalized (lowercase field names, trimmed whitespace) named list.

If a request has followed redirects, the data can contain multiple sets of headers. When multiple = TRUE, the function returns a list with the response headers for each request. By default it only returns the headers of the final request.

### Examples

    req <- curl_fetch_memory("https://httpbin.org/redirect/3")
    parse_headers(req$headers)
    parse_headers(req$headers, multiple = TRUE)

    # Parse into named list
    parse_headers_list(req$headers)

[Package curl version 3.3 Index]